Karia
ReferencesOpenapiEstimates

List estimates

GET
/organisation/{orgId}/workspace/{workspaceId}/origination/lead/{leadId}/estimate

List estimates for a lead in the specified organisation and workspace, with optional search, status, fuel type, and pagination filters.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

workspaceId*integer
Range0 < value <= 9007199254740991
leadId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orgId*string

Query Parameters

page?string
limit?string
search?string
status?|array<>
fuelType?|array<>

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organisation/string/workspace/1/origination/lead/string/estimate"
{  "items": [    {      "id": "string",      "createdAt": "string",      "salary": 0,      "leaseTerm": -9007199254740991,      "startingPrice": 0,      "fuelType": "petrol",      "annualKms": -9007199254740991,      "businessUse": 0,      "state": "act",      "includeRunningCosts": true,      "referenceId": "string",      "status": "current",      "version": -9007199254740991,      "leadId": "string",      "leadSettingsId": "string",      "startingPriceType": "drive_away_price",      "createdBy": "string",      "lastUpdatedAt": "string",      "lastUpdatedBy": "string",      "deletedAt": "string",      "deletedBy": "string",      "payrollCycle": "weekly",      "documentStatus": "not_generated",      "documentId": "string",      "fbtMethods": [        "statutory"      ],      "vehicleIds": [        {          "autograbId": "string"        }      ],      "make": "string",      "model": "string"    }  ],  "pagination": {    "totalItems": 0,    "totalPages": 0,    "pageSize": 0,    "limit": 0,    "currentPage": 0  }}